import pandas as pd
from prophet import Prophet
from prophet.serialize import model_to_json, model_from_json


df = pd.read_parquet('./one_year_dataset.parquet')
df_2022 = df[(df.Year == 2022)]

print(df_2022.head())
del df

df_2022['ds'] = pd.to_datetime(dict(year=df_2022.Year, month=df_2022.Month, day=df_2022.Day))

df_2022['C1+C2'] = df_2022['C1'] + df_2022['C2']  

prophet_ds_c1 = df_2022[["ds", "C1"]]
prophet_ds_c1.rename(columns={"C1": "y"}, inplace=True)
mean_for_date = prophet_ds_c1.groupby('ds')['y'].median()
df_mean = mean_for_date.reset_index()

m = Prophet()
m.fit(df_mean)

with open('prophet_ds_c1.json', 'w') as fout:
    fout.write(model_to_json(m))  # Save model
    

prophet_ds_c2 = df_2022[["ds", "C2"]]
prophet_ds_c2.rename(columns={"C2": "y"}, inplace=True)
mean_for_date = prophet_ds_c2.groupby('ds')['y'].median()
df_mean = mean_for_date.reset_index()

m = Prophet()
m.fit(df_mean)

with open('prophet_ds_c2.json', 'w') as fout:
    fout.write(model_to_json(m))  # Save model


prophet_ds_c1c2 = df_2022[["ds", "C1+C2"]]
prophet_ds_c1c2.rename(columns={"C1+C2": "y"}, inplace=True)
mean_for_date = prophet_ds_c1c2.groupby('ds')['y'].median()
df_mean = mean_for_date.reset_index()

m = Prophet()
m.fit(df_mean)

with open('prophet_ds_c1c2.json', 'w') as fout:
    fout.write(model_to_json(m))