import pandas
import numpy

df = pandas.read_parquet("one_year_dataset.parquet")
df["Date"] = df["Year"].astype(str) + "-" + df["Month"].astype(str) + "-" + df["Day"].astype(str)

total_people_dict = {}
for date in list(df["Date"].unique()):
    date_people = df[df["Date"] == date]
    total_day_people = 0
    for row in date_people.index:
        total_day_people += date_people["C1"][row] + date_people["C2"][row]
    
    total_people_dict[date] = int(total_day_people)

total_people_dict =  dict(sorted(total_people_dict.items(), key = lambda x: x[1], reverse = True))
print(total_people_dict)

